cascading.flow.hadoop

## Class ConfigurationSetter

- java.lang.Object
- - cascading.flow.hadoop.ConfigurationSetter

- All Implemented Interfaces:
    ConfigDef.Setter

      public class ConfigurationSetter
      extends Object
      implements ConfigDef.Setter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationSetter(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String key)`
    `String` | `set(String key, String value)`
    `String` | `update(String key, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationSetter

          public ConfigurationSetter(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### set

          public String set(String key,
                   String value)

      Specified by:
        `set` in interface `ConfigDef.Setter`

    - #### update

          public String update(String key,
                      String value)

      Specified by:
        `update` in interface `ConfigDef.Setter`

    - #### get

          public String get(String key)

      Specified by:
        `get` in interface `ConfigDef.Setter`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.